# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

import adapter_pb2 as adapter__pb2


class AdapterStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.OnActivate = channel.unary_unary(
        '/adapter.Adapter/OnActivate',
        request_serializer=adapter__pb2.OnActivateRequest.SerializeToString,
        response_deserializer=adapter__pb2.OnActivateResponse.FromString,
        )
    self.StreamEvents = channel.unary_stream(
        '/adapter.Adapter/StreamEvents',
        request_serializer=adapter__pb2.StreamEventsRequest.SerializeToString,
        response_deserializer=adapter__pb2.StreamEventsResponse.FromString,
        )
    self.OnDeactivate = channel.unary_unary(
        '/adapter.Adapter/OnDeactivate',
        request_serializer=adapter__pb2.OnDeactivateRequest.SerializeToString,
        response_deserializer=adapter__pb2.OnDeactivateResponse.FromString,
        )


class AdapterServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def OnActivate(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def StreamEvents(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def OnDeactivate(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_AdapterServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'OnActivate': grpc.unary_unary_rpc_method_handler(
          servicer.OnActivate,
          request_deserializer=adapter__pb2.OnActivateRequest.FromString,
          response_serializer=adapter__pb2.OnActivateResponse.SerializeToString,
      ),
      'StreamEvents': grpc.unary_stream_rpc_method_handler(
          servicer.StreamEvents,
          request_deserializer=adapter__pb2.StreamEventsRequest.FromString,
          response_serializer=adapter__pb2.StreamEventsResponse.SerializeToString,
      ),
      'OnDeactivate': grpc.unary_unary_rpc_method_handler(
          servicer.OnDeactivate,
          request_deserializer=adapter__pb2.OnDeactivateRequest.FromString,
          response_serializer=adapter__pb2.OnDeactivateResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'adapter.Adapter', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
